package cn.estsh.i3plus.pojo.mes.model;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author Wynne.Lu
 * @date 2020/3/9 15:35
 * @desc
 */
@Data
public class ActorMessageModel<T> {

    private String msgType;

    private String clientInfo;

    private String workCellCode;

    private String workCenterCode;

    private String organizeCode;

    private String routeCode;

    private String serialNumber;

    private String productSn;

    private T dataObj;

    private List<? extends T> dataList;

    private Map<String, Object> dataMap;
}
