package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : WMS列表搜索model
 * @Reference :
 * @Author : silliter
 * @CreateDate : 2020-01-07 14:33
 * @Modify:
 **/
@Data
public class WmsListSearchModel {

    @ApiParam(value = "开窗列表查询key")
    private String searchKey;

    @ApiParam(value = "开窗列表查询value")
    private String searchValue;

    @ApiParam(value = "排序参数")
    private String orderByParams;

    @ApiParam(value = "分页组件")
    private Pager pager;

    @ApiParam(value = "实体类名")
    private String objClassName;

    @ApiParam(value = "有效性")
    public Integer isValid;
}
