package cn.estsh.i3plus.pojo.ptl.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/15 15:42
 * @desc
 */
@Data
@ApiModel("亮灯model")
public class LightOnModel implements Serializable {
    private static final long serialVersionUID = -1089361557513425229L;

    @ApiParam("标签地址，范围1~250,设置null即为所有标签")
    private Integer tagNo;

    @ApiParam("内容：字母，数字，字符")
    private String content;

    @ApiParam("颜色指令:枚举获取，TAG_LIGHT_COLOR_CMD")
    private String colorCmd;

    @ApiParam("亮灯方式")
    private Integer lightType;

    @ApiParam("音乐编号指令:枚举获取，FINISH_TAG_LIGHT_MUSIC_CMD")
    private String musicCmd;

    @ApiParam("音量值指令:枚举获取，FINISH_TAG_LIGHT_VOLUME_CMD")
    private String volumeCmd;

    @ApiParam("是否蜂鸣")
    private Integer buzz;

    @ApiParam("是否熄灯，清除LED显示器")
    private Integer ledFlag;

    @ApiParam("是否熄灯")
    private Integer lightFlag;

}
